## Function(event, treeId, treeNode)setting.callback.onDblClick

### Overview[ depends on jquery.ztree.core js ]

Used to capture the dblclick event when double click node.

If you set 'setting.callback.beforeDblClick',and return false, zTree will not trigger the 'onDblClick' callback.

Default: null

### Function Parameter Descriptions

#### event js event Object

event Object

#### treeId String

zTree unique identifier: treeId, easy for users to control.

#### treeNode JSON

JSON data object of the node which is double clicked

If the DOM which dblclicked isn't a node, it will return null.

### Examples of setting & function

#### 1. When double click node, alert info about 'tId' and 'name'.

    function zTreeOnDblClick(event, treeId, treeNode) {
        alert(treeNode ? treeNode.tId + ", " + treeNode.name : "isRoot");
    };
    var setting = {
    	callback: {
    		onDblClick: zTreeOnDblClick
    	}
    };
    ......